# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sidecar"
version = "0.4.0"
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Sidecar jupyter outputs"
readme = "README.md"
license = "BSD-3-Clause"
repository = "https://github.com/runtimed/runtimed"

[[bin]]
name = "sidecar"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.base64]
version = "0.22"

[dependencies.bytes]
version = "1"

[dependencies.clap]
version = "4.5.1"
features = ["derive"]

[dependencies.env_logger]
version = "0.11.5"

[dependencies.futures]
version = "0.3"

[dependencies.log]
version = "0.4.22"

[dependencies.querystring]
version = "1.1.0"

[dependencies.runtimelib]
version = "0.21.0"
features = ["async-dispatcher-runtime"]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.smol]
version = "2"

[dependencies.tao]
version = "0.30.3"

[dependencies.uuid]
version = "1"
features = [
    "serde",
    "v4",
    "v5",
]

[dependencies.wry]
version = "0.45.0"
